#delimit ;
set more 1;
log using /volumes/ddisk/illegal/revision/gregls2.log, replace;

*BY SKILL GROUP AND STATE;
*USES MY CODING OF ILLEGAL FOR ALL MARCH CPS FILES;


*MEN;

use /volumes/ddisk/illegal/ipums/cps9416.dta, clear;

sort year serial pernum;

merge year serial pernum using /volumes/ddisk/illegal/newclass/gbtype9416.dta;
drop _merge;
keep if year<=2014;

*SURVEY CHANGED AFTER 2014, SO 2014 WEIGHTS NEED TO BE RESCALED;
replace wtsupp=wtsupp/2 if year==2014;

tabulate year, gen(dyear);

generate imm=(citizen==2 | citizen==3);
generate illegal=(gbtype==3);

tabulate illegal [aw=wtsupp];
tabulate citizen illegal;
tabulate imm illegal;

replace imm=1 if imm==0 & illegal==1;

keep if age>=20 & age<=64;
drop if schlcoll>=1 & schlcoll<=4;

generate lannual=log(incwage);
generate lweekly=log(incwage/wkswork1);
generate lwage=log(incwage/(wkswork1*uhrsworkly));
*drop if lannual==. | lweekly==. | lwage==.;

generate hours=wkswork1*uhrsworkly;
generate work1=(empstat==1 | empstat==10 | empstat==12);
generate work2=(hours>0);
generate lhours=log(wkswork1*uhrsworkly);

generate lfp1=(labforce==2);
replace wkswork1=0 if wkswork1>52;
replace wksunem1=0 if wksunem1>52;
generate lfp2=(wkswork1+wksunem1) > 0 ;
*WKSUNEM1 IS ONLY AVAILABLE FOR THOSE WHO WORK ONE WEEK;
*SO LFP2 IS THE SAME AS WORK;
summ lfp1 lfp2 work1 work2;

generate agecode=1*(age>=20 & age<=24) + 2*(age>=25 & age<=29)
         + 3*(age>=30 & age<=34) + 4*(age>=35 & age<=39)
         + 5*(age>=40 & age<=44) + 6*(age>=45 & age<=49)
         + 7*(age>=50 & age<=54) + 8*(age>=55 & age<=59)
         + 9*(age>=60 & age<=64);
generate edcode=1*(educ<=72) + 2*(educ==73) + 3*(educ>=81 & educ<=93) + 4*(educ>93);

tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);

generate age2=age*age;
generate age3=age2*age;
generate age4=age2*age2;

generate type=1*(imm==0) + 2*(imm==1 & illegal==0) + 3*(imm==1 & illegal==1);
generate legal=(imm==1 & illegal==0);

tabulate yrimmig if imm==1 [aw=wtsupp];

*CALCULATE AVERAGE WAGE IN CELL USING MEN AND WOMEN;
*ALLOWS FOR LARGER SAMPLE SIZE IN CELLS;

keep if sex==1;

egen numer=sum(lwage*wtsupp), by(year edcode agecode);
egen denom=sum(wtsupp), by(year edcode agecode);
generate mlwage=numer/denom;
drop numer denom;

egen numer=sum(lwage*wtsupp), by(year state edcode agecode);
egen denom=sum(wtsupp), by(year state edcode agecode);
generate slwage=numer/denom;



generate skill=edcode*10 + agecode;
tabulate skill, gen(dskill);


generate count=1;

collapse (mean) lfp1 work1 work2 hours lhours lwage mlwage slwage (rawsum)
	 weight=wtsupp weight2=count [aw=wtsupp], 
	by(year edcode agecode state type);

generate lhours2=log(hours);
generate skill=edcode*10 + agecode;

tabulate year, gen(dyear);
tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);
tabulate skill, gen(dskill);

generate mlwage1=mlwage*(type==1);
generate mlwage2=mlwage*(type==2);
generate mlwage3=mlwage*(type==3);
generate legal=(type==2);
generate illegal=(type==3);

generate qskill=skill*10 + type;
generate qstate=year*100 + state;
quietly tabulate qskill, gen(dqskill);


generate slwage1=slwage*(type==1);
generate slwage2=slwage*(type==2);
generate slwage3=slwage*(type==3);

xi: reg lhours2 slwage1-slwage3 legal illegal dqskill* dyear* 
	i.edcode*i.year i.agecode*i.year i.type*i.year i.state*i.year
	i.state*i.skill [aw=weight2], cluster(skill);



*WOMEN;


use /volumes/ddisk/illegal/ipums/cps9416.dta, clear;

sort year serial pernum;

merge year serial pernum using /volumes/ddisk/illegal/newclass/gbtype9416.dta;
drop _merge;
keep if year<=2014;

*SURVEY CHANGED AFTER 2014, SO 2014 WEIGHTS NEED TO BE RESCALED;
replace wtsupp=wtsupp/2 if year==2014;

tabulate year, gen(dyear);

generate imm=(citizen==2 | citizen==3);
generate illegal=(gbtype==3);

tabulate illegal [aw=wtsupp];
tabulate citizen illegal;
tabulate imm illegal;

replace imm=1 if imm==0 & illegal==1;

keep if age>=20 & age<=64;
drop if schlcoll>=1 & schlcoll<=4;

generate lannual=log(incwage);
generate lweekly=log(incwage/wkswork1);
generate lwage=log(incwage/(wkswork1*uhrsworkly));
*drop if lannual==. | lweekly==. | lwage==.;

generate hours=wkswork1*uhrsworkly;
generate work1=(empstat==1 | empstat==10 | empstat==12);
generate work2=(hours>0);
generate lhours=log(wkswork1*uhrsworkly);

generate lfp1=(labforce==2);
replace wkswork1=0 if wkswork1>52;
replace wksunem1=0 if wksunem1>52;
generate lfp2=(wkswork1+wksunem1) > 0 ;
*WKSUNEM1 IS ONLY AVAILABLE FOR THOSE WHO WORK ONE WEEK;
*SO LFP2 IS THE SAME AS WORK;
summ lfp1 lfp2 work1 work2;

generate agecode=1*(age>=20 & age<=24) + 2*(age>=25 & age<=29)
         + 3*(age>=30 & age<=34) + 4*(age>=35 & age<=39)
         + 5*(age>=40 & age<=44) + 6*(age>=45 & age<=49)
         + 7*(age>=50 & age<=54) + 8*(age>=55 & age<=59)
         + 9*(age>=60 & age<=64);
generate edcode=1*(educ<=72) + 2*(educ==73) + 3*(educ>=81 & educ<=93) + 4*(educ>93);

tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);

generate age2=age*age;
generate age3=age2*age;
generate age4=age2*age2;

generate type=1*(imm==0) + 2*(imm==1 & illegal==0) + 3*(imm==1 & illegal==1);
generate legal=(imm==1 & illegal==0);

tabulate yrimmig if imm==1 [aw=wtsupp];

*CALCULATE AVERAGE WAGE IN CELL USING MEN AND WOMEN;
*ALLOWS FOR LARGER SAMPLE SIZE IN CELLS;
keep if sex==2;

egen numer=sum(lwage*wtsupp), by(year edcode agecode);
egen denom=sum(wtsupp), by(year edcode agecode);
generate mlwage=numer/denom;
drop numer denom;

egen numer=sum(lwage*wtsupp), by(year state edcode agecode);
egen denom=sum(wtsupp), by(year state edcode agecode);
generate slwage=numer/denom;



generate skill=edcode*10 + agecode;
tabulate skill, gen(dskill);


generate count=1;

collapse (mean) lfp1 work1 work2 hours lhours lwage mlwage slwage (rawsum)
	 weight=wtsupp weight2=count [aw=wtsupp], 
	by(year edcode agecode state type);

generate lhours2=log(hours);
generate skill=edcode*10 + agecode;

tabulate year, gen(dyear);
tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);
tabulate skill, gen(dskill);

generate mlwage1=mlwage*(type==1);
generate mlwage2=mlwage*(type==2);
generate mlwage3=mlwage*(type==3);
generate legal=(type==2);
generate illegal=(type==3);

generate qskill=skill*10 + type;
generate qstate=year*100 + state;
quietly tabulate qskill, gen(dqskill);


generate slwage1=slwage*(type==1);
generate slwage2=slwage*(type==2);
generate slwage3=slwage*(type==3);


xi: reg lhours2 slwage1-slwage3 legal illegal dqskill* dyear* 
	i.edcode*i.year i.agecode*i.year i.type*i.year i.state*i.year
	i.state*i.skill [aw=weight2], cluster(skill);


	
log close;
