#delimit ;
set more 1;
set matsize 5000;
log using /volumes/ddisk/illegal/revision/gregls_2012.log, replace;

*USES MY CODING OF ILLEGAL FOR ALL MARCH CPS FILES;
*TREAT 2012-2013 AS A SINGLE CROSS-SECTION;


*MEN;

use /volumes/ddisk/illegal/ipums/cps9416.dta, clear;

sort year serial pernum;

merge year serial pernum using /volumes/ddisk/illegal/newclass/gbtype9416.dta;
drop _merge;
keep if year<=2014;

*SURVEY CHANGED AFTER 2014, SO 2014 WEIGHTS NEED TO BE RESCALED;
replace wtsupp=wtsupp/2 if year==2014;

tabulate year, gen(dyear);

generate imm=(citizen==2 | citizen==3);
generate illegal=(gbtype==3);

tabulate illegal [aw=wtsupp];
tabulate citizen illegal;
tabulate imm illegal;

replace imm=1 if imm==0 & illegal==1;

keep if age>=20 & age<=64;
drop if schlcoll>=1 & schlcoll<=4;

generate lannual=log(incwage);
generate lweekly=log(incwage/wkswork1);
generate lwage=log(incwage/(wkswork1*uhrsworkly));
*drop if lannual==. | lweekly==. | lwage==.;

generate hours=wkswork1*uhrsworkly;
generate work1=(empstat==1 | empstat==10 | empstat==12);
generate work2=(hours>0);
generate lhours=log(wkswork1*uhrsworkly);

generate lfp1=(labforce==2);
replace wkswork1=0 if wkswork1>52;
replace wksunem1=0 if wksunem1>52;
generate lfp2=(wkswork1+wksunem1) > 0 ;
*WKSUNEM1 IS ONLY AVAILABLE FOR THOSE WHO WORK ONE WEEK;
*SO LFP2 IS THE SAME AS WORK;
summ lfp1 lfp2 work1 work2;

generate agecode=1*(age>=20 & age<=24) + 2*(age>=25 & age<=29)
         + 3*(age>=30 & age<=34) + 4*(age>=35 & age<=39)
         + 5*(age>=40 & age<=44) + 6*(age>=45 & age<=49)
         + 7*(age>=50 & age<=54) + 8*(age>=55 & age<=59)
         + 9*(age>=60 & age<=64);
generate edcode=1*(educ<=72) + 2*(educ==73) + 3*(educ>=81 & educ<=93) + 4*(educ>93);

tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);

generate age2=age*age;
generate age3=age2*age;
generate age4=age2*age2;

generate type=1*(imm==0) + 2*(imm==1 & illegal==0) + 3*(imm==1 & illegal==1);
generate legal=(imm==1 & illegal==0);

keep if sex==1;
keep if year==2012 | year==2013;
tabulate yrimmig if imm==1 [aw=wtsupp];

generate cpi =229.594 if year==2012;	
replace cpi =232.957 if year==2013;	
generate deflator=229.594/cpi;

replace lwage = lwage - log(deflator);

egen numer=sum(lwage*wtsupp), by(year edcode agecode);
egen denom=sum(wtsupp), by(year edcode agecode);
generate mlwage=numer/denom;

generate unemp=(empstat==20);
replace unemp=. if labforce~=2;
drop numer denom;
egen numer=sum(unemp*wtsupp), by(year edcode agecode);
egen denom=sum(wtsupp), by(year edcode agecode);
replace unemp=numer/denom;


*FIRST RUN INDIVIDUAL LEVEL REGRESSIONS;

generate mlwage1=lwage*(type==1);
generate mlwage2=lwage*(type==2);
generate mlwage3=lwage*(type==3);

generate skill=edcode*10 + agecode;
generate qskill=skill*10 + type;
quietly tabulate qskill, gen(dqskill);

xi: regress lhours mlwage1-mlwage3 i.type dqskill* dyear* 
	i.edcode*i.year i.agecode*i.year i.type*i.year [aw=wtsupp], cluster(skill);

generate count=1;

tabulate year type [aw=wtsupp], sum(lfp1) me noobs nofreq;

collapse (mean) lfp1 work1 work2 hours lhours lwage mlwage unemp (rawsum)
	 weight=wtsupp weight2=count [aw=wtsupp], 
	by(edcode agecode type);

generate lhours2=log(hours);
generate skill=edcode*10 + agecode;

tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);
tabulate skill, gen(dskill);

generate mlwage1=mlwage*(type==1);
generate mlwage2=mlwage*(type==2);
generate mlwage3=mlwage*(type==3);
generate unemp1=unemp*(type==1);
generate unemp2=unemp*(type==2);
generate unemp3=unemp*(type==3);
generate legal=(type==2);
generate illegal=(type==3);


generate qskill=skill*10 + type;
quietly tabulate qskill, gen(dqskill);

xi: regress lfp1 mlwage1-mlwage3 i.type i.edcode i.agecode 
	[aw=weight2], cluster(skill);
xi: regress work1 mlwage1-mlwage3 i.type i.edcode i.agecode 
	[aw=weight2], cluster(skill);
xi: regress work2 mlwage1-mlwage3 i.type i.edcode i.agecode 
	[aw=weight2], cluster(skill);
xi: regress lhours mlwage1-mlwage3 i.type i.edcode i.agecode 
	[aw=weight2], cluster(skill);
xi: regress lhours2 mlwage1-mlwage3 i.type i.edcode i.agecode 
	[aw=weight2], cluster(skill);

	 


*WOMEN;

use /volumes/ddisk/illegal/ipums/cps9416.dta, clear;

sort year serial pernum;

merge year serial pernum using /volumes/ddisk/illegal/newclass/gbtype9416.dta;
drop _merge;
keep if year<=2014;

*SURVEY CHANGED AFTER 2014, SO 2014 WEIGHTS NEED TO BE RESCALED;
replace wtsupp=wtsupp/2 if year==2014;

tabulate year, gen(dyear);

generate imm=(citizen==2 | citizen==3);
generate illegal=(gbtype==3);

tabulate illegal [aw=wtsupp];
tabulate citizen illegal;
tabulate imm illegal;

replace imm=1 if imm==0 & illegal==1;

keep if age>=20 & age<=64;
drop if schlcoll>=1 & schlcoll<=4;

generate lannual=log(incwage);
generate lweekly=log(incwage/wkswork1);
generate lwage=log(incwage/(wkswork1*uhrsworkly));
*drop if lannual==. | lweekly==. | lwage==.;

generate hours=wkswork1*uhrsworkly;
generate work1=(empstat==1 | empstat==10 | empstat==12);
generate work2=(hours>0);
generate lhours=log(wkswork1*uhrsworkly);

generate lfp1=(labforce==2);
replace wkswork1=0 if wkswork1>52;
replace wksunem1=0 if wksunem1>52;
generate lfp2=(wkswork1+wksunem1) > 0 ;
*WKSUNEM1 IS ONLY AVAILABLE FOR THOSE WHO WORK ONE WEEK;
*SO LFP2 IS THE SAME AS WORK;
summ lfp1 lfp2 work1 work2;

generate agecode=1*(age>=20 & age<=24) + 2*(age>=25 & age<=29)
         + 3*(age>=30 & age<=34) + 4*(age>=35 & age<=39)
         + 5*(age>=40 & age<=44) + 6*(age>=45 & age<=49)
         + 7*(age>=50 & age<=54) + 8*(age>=55 & age<=59)
         + 9*(age>=60 & age<=64);
generate edcode=1*(educ<=72) + 2*(educ==73) + 3*(educ>=81 & educ<=93) + 4*(educ>93);

tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);

generate age2=age*age;
generate age3=age2*age;
generate age4=age2*age2;

generate type=1*(imm==0) + 2*(imm==1 & illegal==0) + 3*(imm==1 & illegal==1);
generate legal=(imm==1 & illegal==0);

keep if sex==2;
keep if year==2012 | year==2013;
tabulate yrimmig if imm==1 [aw=wtsupp];

generate cpi =229.594 if year==2012;	
replace cpi =232.957 if year==2013;	
generate deflator=229.594/cpi;

replace lwage = lwage - log(deflator);

egen numer=sum(lwage*wtsupp), by(year edcode agecode);
egen denom=sum(wtsupp), by(year edcode agecode);
generate mlwage=numer/denom;

generate unemp=(empstat==20);
replace unemp=. if labforce~=2;
drop numer denom;
egen numer=sum(unemp*wtsupp), by(year edcode agecode);
egen denom=sum(wtsupp), by(year edcode agecode);
replace unemp=numer/denom;


*FIRST RUN INDIVIDUAL LEVEL REGRESSIONS;

generate mlwage1=lwage*(type==1);
generate mlwage2=lwage*(type==2);
generate mlwage3=lwage*(type==3);

generate skill=edcode*10 + agecode;
generate qskill=skill*10 + type;
quietly tabulate qskill, gen(dqskill);

xi: regress lhours mlwage1-mlwage3 i.type dqskill* dyear* 
	i.edcode*i.year i.agecode*i.year i.type*i.year [aw=wtsupp], cluster(skill);

generate count=1;

tabulate year type [aw=wtsupp], sum(lfp1) me noobs nofreq;

collapse (mean) lfp1 work1 work2 hours lhours lwage mlwage unemp (rawsum)
	 weight=wtsupp weight2=count [aw=wtsupp], 
	by(edcode agecode type);

generate lhours2=log(hours);
generate skill=edcode*10 + agecode;

tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);
tabulate skill, gen(dskill);

generate mlwage1=mlwage*(type==1);
generate mlwage2=mlwage*(type==2);
generate mlwage3=mlwage*(type==3);
generate unemp1=unemp*(type==1);
generate unemp2=unemp*(type==2);
generate unemp3=unemp*(type==3);
generate legal=(type==2);
generate illegal=(type==3);


generate qskill=skill*10 + type;
quietly tabulate qskill, gen(dqskill);

xi: regress lfp1 mlwage1-mlwage3 i.type i.edcode i.agecode 
	[aw=weight2], cluster(skill);
xi: regress work1 mlwage1-mlwage3 i.type i.edcode i.agecode 
	[aw=weight2], cluster(skill);
xi: regress work2 mlwage1-mlwage3 i.type i.edcode i.agecode 
	[aw=weight2], cluster(skill);
xi: regress lhours mlwage1-mlwage3 i.type i.edcode i.agecode 
	[aw=weight2], cluster(skill);
xi: regress lhours2 mlwage1-mlwage3 i.type i.edcode i.agecode 
	[aw=weight2], cluster(skill);




*ADDS THE VARIABLES INCLUDING STATE FIXED EFFECTS;	


*MEN;

use /volumes/ddisk/illegal/ipums/cps9416.dta, clear;

sort year serial pernum;

merge year serial pernum using /volumes/ddisk/illegal/newclass/gbtype9416.dta;
drop _merge;
keep if year==2012 | year==2013;

*SURVEY CHANGED AFTER 2014, SO 2014 WEIGHTS NEED TO BE RESCALED;
replace wtsupp=wtsupp/2 if year==2014;

tabulate year, gen(dyear);

generate imm=(citizen==2 | citizen==3);
generate illegal=(gbtype==3);

tabulate illegal [aw=wtsupp];
tabulate citizen illegal;
tabulate imm illegal;

replace imm=1 if imm==0 & illegal==1;

keep if age>=20 & age<=64;
drop if schlcoll>=1 & schlcoll<=4;

generate lannual=log(incwage);
generate lweekly=log(incwage/wkswork1);
generate lwage=log(incwage/(wkswork1*uhrsworkly));
*drop if lannual==. | lweekly==. | lwage==.;

generate hours=wkswork1*uhrsworkly;
generate work1=(empstat==1 | empstat==10 | empstat==12);
generate work2=(hours>0);
generate lhours=log(wkswork1*uhrsworkly);

generate lfp1=(labforce==2);
replace wkswork1=0 if wkswork1>52;
replace wksunem1=0 if wksunem1>52;
generate lfp2=(wkswork1+wksunem1) > 0 ;
*WKSUNEM1 IS ONLY AVAILABLE FOR THOSE WHO WORK ONE WEEK;
*SO LFP2 IS THE SAME AS WORK;
summ lfp1 lfp2 work1 work2;

generate agecode=1*(age>=20 & age<=24) + 2*(age>=25 & age<=29)
         + 3*(age>=30 & age<=34) + 4*(age>=35 & age<=39)
         + 5*(age>=40 & age<=44) + 6*(age>=45 & age<=49)
         + 7*(age>=50 & age<=54) + 8*(age>=55 & age<=59)
         + 9*(age>=60 & age<=64);
generate edcode=1*(educ<=72) + 2*(educ==73) + 3*(educ>=81 & educ<=93) + 4*(educ>93);

tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);

generate age2=age*age;
generate age3=age2*age;
generate age4=age2*age2;

generate type=1*(imm==0) + 2*(imm==1 & illegal==0) + 3*(imm==1 & illegal==1);
generate legal=(imm==1 & illegal==0);

tabulate yrimmig if imm==1 [aw=wtsupp];

keep if sex==1;

generate cpi =229.594 if year==2012;	
replace cpi =232.957 if year==2013;	
generate deflator=229.594/cpi;

replace lwage = lwage - log(deflator);

egen numer=sum(lwage*wtsupp), by(year edcode agecode);
egen denom=sum(wtsupp), by(year edcode agecode);
generate mlwage=numer/denom;
drop numer denom;

egen numer=sum(lwage*wtsupp), by(year state edcode agecode);
egen denom=sum(wtsupp), by(year state edcode agecode);
generate slwage=numer/denom;



generate skill=edcode*10 + agecode;
tabulate skill, gen(dskill);


generate count=1;

collapse (mean) lfp1 work1 work2 hours lhours lwage mlwage slwage (rawsum)
	 weight=wtsupp weight2=count [aw=wtsupp], 
	by(edcode agecode state type);

generate lhours2=log(hours);
generate skill=edcode*10 + agecode;

tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);
tabulate skill, gen(dskill);

generate mlwage1=mlwage*(type==1);
generate mlwage2=mlwage*(type==2);
generate mlwage3=mlwage*(type==3);
generate legal=(type==2);
generate illegal=(type==3);

generate qskill=skill*10 + type;
quietly tabulate qskill, gen(dqskill);


generate slwage1=slwage*(type==1);
generate slwage2=slwage*(type==2);
generate slwage3=slwage*(type==3);

xi: regress lhours2 slwage1-slwage3 i.type i.edcode i.agecode
	i.state*i.edcode i.state*i.age
	[aw=weight2], cluster(skill);









*WOMEN;

use /volumes/ddisk/illegal/ipums/cps9416.dta, clear;

sort year serial pernum;

merge year serial pernum using /volumes/ddisk/illegal/newclass/gbtype9416.dta;
drop _merge;
keep if year==2012 | year==2013;

*SURVEY CHANGED AFTER 2014, SO 2014 WEIGHTS NEED TO BE RESCALED;
replace wtsupp=wtsupp/2 if year==2014;

tabulate year, gen(dyear);

generate imm=(citizen==2 | citizen==3);
generate illegal=(gbtype==3);

tabulate illegal [aw=wtsupp];
tabulate citizen illegal;
tabulate imm illegal;

replace imm=1 if imm==0 & illegal==1;

keep if age>=20 & age<=64;
drop if schlcoll>=1 & schlcoll<=4;

generate lannual=log(incwage);
generate lweekly=log(incwage/wkswork1);
generate lwage=log(incwage/(wkswork1*uhrsworkly));
*drop if lannual==. | lweekly==. | lwage==.;

generate hours=wkswork1*uhrsworkly;
generate work1=(empstat==1 | empstat==10 | empstat==12);
generate work2=(hours>0);
generate lhours=log(wkswork1*uhrsworkly);

generate lfp1=(labforce==2);
replace wkswork1=0 if wkswork1>52;
replace wksunem1=0 if wksunem1>52;
generate lfp2=(wkswork1+wksunem1) > 0 ;
*WKSUNEM1 IS ONLY AVAILABLE FOR THOSE WHO WORK ONE WEEK;
*SO LFP2 IS THE SAME AS WORK;
summ lfp1 lfp2 work1 work2;

generate agecode=1*(age>=20 & age<=24) + 2*(age>=25 & age<=29)
         + 3*(age>=30 & age<=34) + 4*(age>=35 & age<=39)
         + 5*(age>=40 & age<=44) + 6*(age>=45 & age<=49)
         + 7*(age>=50 & age<=54) + 8*(age>=55 & age<=59)
         + 9*(age>=60 & age<=64);
generate edcode=1*(educ<=72) + 2*(educ==73) + 3*(educ>=81 & educ<=93) + 4*(educ>93);

tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);

generate age2=age*age;
generate age3=age2*age;
generate age4=age2*age2;

generate type=1*(imm==0) + 2*(imm==1 & illegal==0) + 3*(imm==1 & illegal==1);
generate legal=(imm==1 & illegal==0);

tabulate yrimmig if imm==1 [aw=wtsupp];

keep if sex==2;

generate cpi =229.594 if year==2012;	
replace cpi =232.957 if year==2013;	
generate deflator=229.594/cpi;

replace lwage = lwage - log(deflator);

egen numer=sum(lwage*wtsupp), by(year edcode agecode);
egen denom=sum(wtsupp), by(year edcode agecode);
generate mlwage=numer/denom;
drop numer denom;

egen numer=sum(lwage*wtsupp), by(year state edcode agecode);
egen denom=sum(wtsupp), by(year state edcode agecode);
generate slwage=numer/denom;



generate skill=edcode*10 + agecode;
tabulate skill, gen(dskill);


generate count=1;

collapse (mean) lfp1 work1 work2 hours lhours lwage mlwage slwage (rawsum)
	 weight=wtsupp weight2=count [aw=wtsupp], 
	by(edcode agecode state type);

generate lhours2=log(hours);
generate skill=edcode*10 + agecode;

tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);
tabulate skill, gen(dskill);

generate mlwage1=mlwage*(type==1);
generate mlwage2=mlwage*(type==2);
generate mlwage3=mlwage*(type==3);
generate legal=(type==2);
generate illegal=(type==3);

generate qskill=skill*10 + type;
quietly tabulate qskill, gen(dqskill);


generate slwage1=slwage*(type==1);
generate slwage2=slwage*(type==2);
generate slwage3=slwage*(type==3);

xi: regress lhours2 slwage1-slwage3 i.type i.edcode i.agecode
	i.state*i.edcode i.state*i.age
	[aw=weight2], cluster(skill);


log close;
