#delimit ;
set more 1;
set matsize 5000;
log using /volumes/ddisk/illegal/revision/gregls_figure.log, replace;


*USES MY CODING OF ILLEGAL FOR ALL MARCH CPS FILES;


*MEN;

use /volumes/ddisk/illegal/ipums/cps9416.dta, replace;

sort year serial pernum;

merge year serial pernum using /volumes/ddisk/illegal/newclass/gbtype9416.dta;
drop _merge;

keep if year<=2014;

*SURVEY CHANGED AFTER 2014, SO 2014 WEIGHTS NEED TO BE RESCALED;
replace wtsupp=wtsupp/2 if year==2014;

tabulate year, gen(dyear);

generate imm=(citizen==2 | citizen==3);
generate illegal=(gbtype==3);

tabulate illegal [aw=wtsupp];
tabulate citizen illegal;
tabulate imm illegal;

replace imm=1 if imm==0 & illegal==1;

keep if age>=20 & age<=64;
drop if schlcoll>=1 & schlcoll<=4;

generate deflator=232.957;

*THE CPI INDEX IS OFFSET BY ONE YEAR TO CORRESPOND TO CPS CALENDAR YEAR;
generate cpi=232.957/144.5 if year==1994;
replace cpi=232.957/148.2 if year==1995;
replace cpi=232.957/152.4 if year==1996;
replace cpi=232.957/156.9 if year==1997;
replace cpi=232.957/160.5 if year==1998;
replace cpi=232.957/163.0 if year==1999;
replace cpi=232.957/166.6 if year==2000;
replace cpi=232.957/172.2 if year==2001;
replace cpi=232.957/177.1 if year==2002;
replace cpi=232.957/179.9 if year==2003;
replace cpi=232.957/184.0 if year==2004;
replace cpi=232.957/188.9 if year==2005;
replace cpi=232.957/195.3 if year==2006;
replace cpi=232.957/201.6 if year==2007;
replace cpi=232.957/207.342 if year==2008;
replace cpi=232.957/215.303 if year==2009;
replace cpi=232.957/214.537 if year==2010;
replace cpi=232.957/218.056 if year==2011;
replace cpi=232.957/224.939 if year==2012;
replace cpi=232.957/229.594 if year==2013;
replace cpi=232.957/232.957 if year==2014;
replace cpi=232.957/236.736 if year==2015;
replace cpi=232.957/237.017 if year==2016;

replace incwage=incwage*cpi;

generate lannual=log(incwage);
generate lweekly=log(incwage/wkswork1);
generate lwage=log(incwage/(wkswork1*uhrsworkly));
*drop if lannual==. | lweekly==. | lwage==.;

replace uhrsworkly=0 if uhrsworkly==999;
generate hours=wkswork1*uhrsworkly;
generate work=(hours>0);
generate lhours=log(wkswork1*uhrsworkly);

generate agecode=1*(age>=20 & age<=24) + 2*(age>=25 & age<=29)
         + 3*(age>=30 & age<=34) + 4*(age>=35 & age<=39)
         + 5*(age>=40 & age<=44) + 6*(age>=45 & age<=49)
         + 7*(age>=50 & age<=54) + 8*(age>=55 & age<=59)
         + 9*(age>=60 & age<=64);
generate edcode=1*(educ<=72) + 2*(educ==73) + 3*(educ>=81 & educ<=93) + 4*(educ>93);

tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);

generate age2=age*age;
generate age3=age2*age;
generate age4=age2*age2;

generate type=1*(imm==0) + 2*(imm==1 & illegal==0) + 3*(imm==1 & illegal==1);
generate legal=(imm==1 & illegal==0);

keep if sex==1;
tabulate yrimmig if imm==1 [aw=wtsupp];

egen numer=sum(lwage*wtsupp), by(year edcode agecode);
egen denom=sum(wtsupp), by(year edcode agecode);
generate mlwage=numer/denom;

generate unemp=(empstat==20);
replace unemp=. if labforce~=2;
drop numer denom;
egen numer=sum(unemp*wtsupp), by(year edcode agecode);
egen denom=sum(wtsupp), by(year edcode agecode);
replace unemp=numer/denom;


*FIRST RUN INDIVIDUAL LEVEL REGRESSIONS;

generate mlwage1=lwage*(type==1);
generate mlwage2=lwage*(type==2);
generate mlwage3=lwage*(type==3);

generate skill=edcode*10 + agecode;
generate qskill=skill*10 + type;
quietly tabulate qskill, gen(dqskill);

*xi: regress lhours mlwage1-mlwage3 i.type dqskill* dyear* 
	i.edcode*i.year i.agecode*i.year i.type*i.year [aw=wtsupp], cluster(skill);

generate count=1;

collapse (mean) work hours lhours lwage mlwage unemp (rawsum) weight=wtsupp weight2=count
	[aw=wtsupp], 
	by(year edcode agecode type);

generate lhours2=log(hours);
generate skill=edcode*10 + agecode;

tabulate year, gen(dyear);
tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);
tabulate skill, gen(dskill);

generate mlwage1=mlwage*(type==1);
generate mlwage2=mlwage*(type==2);
generate mlwage3=mlwage*(type==3);
generate unemp1=unemp*(type==1);
generate unemp2=unemp*(type==2);
generate unemp3=unemp*(type==3);
generate legal=(type==2);
generate illegal=(type==3);


generate qskill=skill*10 + type;
quietly tabulate qskill, gen(dqskill);

regress lhours2 dqskill* dyear* ;
predict hhat, resid;
regress mlwage dqskill* dyear*;
predict what, resid;

list mlwage lhours2 if type==1, separator(0) noobs;
list mlwage lhours2 if type==2, separator(0) noobs;
list mlwage lhours2 if type==3, separator(0) noobs;




log close;
