#delimit ;
set more 1;
log using /volumes/ddisk/illegal/revision/regtrend.log, replace;


*USES MY CODING OF ILLEGAL FOR ALL MARCH CPS FILES;

use /volumes/ddisk/illegal/ipums/cps9416.dta, replace;

sort year serial pernum;

merge year serial pernum using /volumes/ddisk/illegal/newclass/gbtype9416.dta;
drop _merge;

keep if year<=2014;

*SURVEY CHANGED AFTER 2014, SO 2014 WEIGHTS NEED TO BE RESCALED;
replace wtsupp=wtsupp/2 if year==2014;

tabulate year, gen(dyear);

generate imm=(citizen==2 | citizen==3);
generate illegal=(gbtype==3);

tabulate illegal [aw=wtsupp];
tabulate citizen illegal;
tabulate imm illegal;

replace imm=1 if imm==0 & illegal==1;

keep if age>=20 & age<=64;

generate agecode=1*(age>=20 & age<=24) + 2*(age>=25 & age<=29)
         + 3*(age>=30 & age<=34) + 4*(age>=35 & age<=39)
         + 5*(age>=40 & age<=44) + 6*(age>=45 & age<=49)
         + 7*(age>=50 & age<=54) + 8*(age>=55 & age<=59)
         + 9*(age>=60 & age<=64);
generate edcode=1*(educ<=72) + 2*(educ==73) + 3*(educ>=81 & educ<=93) + 4*(educ>93);

tabulate agecode, gen(dage);
tabulate edcode, gen(deduc);

tabulate agecode imm [aw=wtsupp], sum(illegal) me noobs nofreq;
tabulate edcode imm [aw=wtsupp], sum(illegal) me noobs nofreq;
tabulate edcode if imm==1 & illegal==0 [aw=wtsupp];
tabulate edcode if imm==1 & illegal==1 [aw=wtsupp];

generate age2=age*age;
generate age3=age2*age;
generate age4=age2*age2;

generate lfp=(labforce==2);
generate work=(empstat==10 | empstat==12);
generate male=(sex==1);
generate workyear=(wkswork1>0);

generate type=1*(imm==0) + 2*(imm==1 & illegal==0) + 3*(imm==1 & illegal==1);
generate legal=(imm==1 & illegal==0);

tabulate year type if male==1 [aw=wtsupp], sum(lfp) me noobs nofreq;
tabulate year type if male==0 [aw=wtsupp], sum(lfp) me noobs nofreq;

*LOGIT IWEIGHTS, FWEIGHTS, AND PWEIGHTS GIVE SAME COEFFICIENT ESTIMATES;
*ONLY PWEIGHTS GIVE RIGHT STANDARD ERRORS;


forvalues i = 1994(1)2014 { ;

		logit lfp dage* legal illegal [pw=wtsupp] if male==1 & year==`i';
       	margins, dydx(legal);
       	margins, dydx(illegal);

} ;

forvalues i = 1994(1)2014 { ;

		logit lfp dage* deduc* legal illegal [pw=wtsupp] if male==1 & year==`i';
       	margins, dydx(legal);
       	margins, dydx(illegal);

} ;

forvalues i = 1994(1)2014 { ;

		logit lfp dage* legal illegal [pw=wtsupp] if male==0 & year==`i';
       	margins, dydx(legal);
       	margins, dydx(illegal);

} ;



forvalues i = 1994(1)2014 { ;

		logit lfp dage* deduc* legal illegal [pw=wtsupp] if male==0 & year==`i';
       	margins, dydx(legal);
       	margins, dydx(illegal);

} ;


log close;
